Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.zudu.ai/api/mcp-servers/{mcpServerId} \ --header 'X-API-KEY: <api-key>' \ --header 'X-API-SECRET: <api-key>'
{ "message": "MCP server retrieved successfully", "status": "success", "error": null, "data": { "id": "mcp_8c180796-e6d7-4343-88b5-5df0846fef69", "organization_id": "org_2zC2v0GqxbrfKq1rKazb3gFcPEq", "url": "https://raw.githubusercontent.com/modelcontextprotocol/server-everything/main/package.json", "name": "Everything MCP Server", "approval_policy": "require_approval_all", "transport": "SSE", "description": "Reference implementation MCP server with all features", "request_headers": { "Accept": "application/json", "User-Agent": "MCP-Client/1.0" }, "is_creator": true, "role": "admin", "created_at": 1751401457604, "updated_at": 1751401457604, "tool_approval_hashes": [], "dependent_agents": [], "config": { "tool_approval_hashes": [], "approval_policy": "require_approval_all", "name": "Everything MCP Server", "request_headers": { "Accept": "application/json", "User-Agent": "MCP-Client/1.0" }, "description": "Reference implementation MCP server with all features", "transport": "SSE", "url": "https://raw.githubusercontent.com/modelcontextprotocol/server-everything/main/package.json" }, "access_info": { "role": "admin", "creator_email": null, "creator_name": null, "is_creator": true }, "metadata": { "owner_user_id": null, "created_at": 1751401457604 } } }
Retrieves an MCP server by ID (current behavior).
API Key for MCP server and external service authentication
API Secret for MCP server and external service authentication
MCP server ID
"mcp_8c180796-e6d7-4343-88b5-5df0846fef69"
MCP server retrieved successfully